FROM golang:1.14 AS build
WORKDIR /build
COPY go.mod main.go ./
RUN CGO_ENABLED=0 go build -ldflags="-s -w" -o demo

FROM alpine:latest
RUN apk --no-cache add ca-certificates
COPY --from=build /build/demo /usr/local/bin/demo
CMD ["/usr/local/bin/demo"]

